curl -X PUT https://chatbot.menuia.com/api/v2/ia/123 \
-H "Content-Type: application/json" \
-d '{
"authkey": "SUA_AUTHKEY_AQUI",
"agent_name": "Novo Nome do Agente",
"device": "SUA_APPKEY_AQUI",
"webhook": "https://seu-webhook.com/endpoint",
"system": "Você é um assistente prestativo."
}'
const response = await fetch('https://chatbot.menuia.com/api/v2/ia/123', {
method: 'PUT',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
authkey: 'SUA_AUTHKEY_AQUI',
agent_name: 'Novo Nome do Agente',
device: 'SUA_APPKEY_AQUI',
webhook: 'https://seu-webhook.com/endpoint',
system: 'Você é um assistente prestativo.'
})
});
import requests
response = requests.put(
'https://chatbot.menuia.com/api/v2/ia/123',
json={
'authkey': 'SUA_AUTHKEY_AQUI',
'agent_name': 'Novo Nome do Agente',
'device': 'SUA_APPKEY_AQUI',
'webhook': 'https://seu-webhook.com/endpoint',
'system': 'Você é um assistente prestativo.'
}
)
$response = Http::put('https://chatbot.menuia.com/api/v2/ia/123', [
'authkey' => 'SUA_AUTHKEY_AQUI',
'agent_name' => 'Novo Nome do Agente',
'device' => 'SUA_APPKEY_AQUI',
'webhook' => 'https://seu-webhook.com/endpoint',
'system' => 'Você é um assistente prestativo.'
]);
{
"status": 200,
"message": "Agente de IA atualizado com sucesso."
}
{
"status": 401,
"message": "validation.required"
}
{
"status": 404,
"message": "Agente de IA não encontrado."
}
Agente IA
Atualizar Agente
PUT
/
api
/
v2
/
ia
/
{id}
curl -X PUT https://chatbot.menuia.com/api/v2/ia/123 \
-H "Content-Type: application/json" \
-d '{
"authkey": "SUA_AUTHKEY_AQUI",
"agent_name": "Novo Nome do Agente",
"device": "SUA_APPKEY_AQUI",
"webhook": "https://seu-webhook.com/endpoint",
"system": "Você é um assistente prestativo."
}'
const response = await fetch('https://chatbot.menuia.com/api/v2/ia/123', {
method: 'PUT',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
authkey: 'SUA_AUTHKEY_AQUI',
agent_name: 'Novo Nome do Agente',
device: 'SUA_APPKEY_AQUI',
webhook: 'https://seu-webhook.com/endpoint',
system: 'Você é um assistente prestativo.'
})
});
import requests
response = requests.put(
'https://chatbot.menuia.com/api/v2/ia/123',
json={
'authkey': 'SUA_AUTHKEY_AQUI',
'agent_name': 'Novo Nome do Agente',
'device': 'SUA_APPKEY_AQUI',
'webhook': 'https://seu-webhook.com/endpoint',
'system': 'Você é um assistente prestativo.'
}
)
$response = Http::put('https://chatbot.menuia.com/api/v2/ia/123', [
'authkey' => 'SUA_AUTHKEY_AQUI',
'agent_name' => 'Novo Nome do Agente',
'device' => 'SUA_APPKEY_AQUI',
'webhook' => 'https://seu-webhook.com/endpoint',
'system' => 'Você é um assistente prestativo.'
]);
{
"status": 200,
"message": "Agente de IA atualizado com sucesso."
}
{
"status": 401,
"message": "validation.required"
}
{
"status": 404,
"message": "Agente de IA não encontrado."
}
Descrição
Este endpoint permite atualizar as informações de um agente de IA existente, incluindo nome, dispositivo, webhook, voz, dias de trabalho, sistema e outras configurações.Parâmetros
string
required
ID do agente de IA que será atualizado.
string
required
Chave de autenticação da conta.
string
Nome do agente de IA.
string
APPKEY ou nome da chave do dispositivo.
string
URL do webhook para receber notificações.
string
Configuração de voz do agente.
array
Dias de trabalho do agente.
string
Configuração do sistema/prompt do agente.
curl -X PUT https://chatbot.menuia.com/api/v2/ia/123 \
-H "Content-Type: application/json" \
-d '{
"authkey": "SUA_AUTHKEY_AQUI",
"agent_name": "Novo Nome do Agente",
"device": "SUA_APPKEY_AQUI",
"webhook": "https://seu-webhook.com/endpoint",
"system": "Você é um assistente prestativo."
}'
const response = await fetch('https://chatbot.menuia.com/api/v2/ia/123', {
method: 'PUT',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
authkey: 'SUA_AUTHKEY_AQUI',
agent_name: 'Novo Nome do Agente',
device: 'SUA_APPKEY_AQUI',
webhook: 'https://seu-webhook.com/endpoint',
system: 'Você é um assistente prestativo.'
})
});
import requests
response = requests.put(
'https://chatbot.menuia.com/api/v2/ia/123',
json={
'authkey': 'SUA_AUTHKEY_AQUI',
'agent_name': 'Novo Nome do Agente',
'device': 'SUA_APPKEY_AQUI',
'webhook': 'https://seu-webhook.com/endpoint',
'system': 'Você é um assistente prestativo.'
}
)
$response = Http::put('https://chatbot.menuia.com/api/v2/ia/123', [
'authkey' => 'SUA_AUTHKEY_AQUI',
'agent_name' => 'Novo Nome do Agente',
'device' => 'SUA_APPKEY_AQUI',
'webhook' => 'https://seu-webhook.com/endpoint',
'system' => 'Você é um assistente prestativo.'
]);
{
"status": 200,
"message": "Agente de IA atualizado com sucesso."
}
{
"status": 401,
"message": "validation.required"
}
{
"status": 404,
"message": "Agente de IA não encontrado."
}
⌘I

